package com.sooka.system.gas.zenner_gas_purchase_center_infor.mapper;

import com.sooka.system.gas.zenner_gas_purchase_center_infor.domain.TGuijiZennerGasPurchaseCenterInfor;
import com.sooka.system.gas.zenner_meter_reading_infor.domain.TGuijiZennerMeterReadingInfor;

import java.util.List;
import java.util.Map;

/**
 * 真兰收费系统-中心计费购气信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiZennerGasPurchaseCenterMapper
{
    /**
     * 查询真兰收费系统-中心计费购气信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 真兰收费系统-中心计费购气信息
     */
    public TGuijiZennerGasPurchaseCenterInfor selectById(String id);

    /**
     * @return id结果集
     */
    public List<TGuijiZennerGasPurchaseCenterInfor> selectIds(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 根据ids查询列表
     *
     * @param ids ID集合
     * @return 列表信息集合
     */
    public List<TGuijiZennerGasPurchaseCenterInfor> selectListbyIds(Map ids);

    /**
     * 查询真兰收费系统-中心计费购气信息列表
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 真兰收费系统-中心计费购气信息集合
     */
    public List<TGuijiZennerGasPurchaseCenterInfor> selectList(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 查询数据总量（通用）
     *
     * tableName 查询表名
     * cacheName 缓存名称 guiji-data-count
     * cacheKey 缓存键值 tableName
     * @return 数据数量
     */
    public Long getDataCount(Map tableName);

    /**
     * 创建数据缓存（通用）
     *
     * @param cache 缓存名称，缓存值
     */
    public void createCache(Map cache);

    /**
     * 刷新数据缓存（通用）
     *
     * @param cache 缓存ID，缓存值
     */
    public void refreshCache(Map cache);

    /**
     * 更新数据事件（通用）
     *
     * @param cache 缓存ID，缓存值
     */
    public void updateCache(Map cache);

    /**
     * 查询数据缓存（通用）
     *
     * @param cacheName 缓存名称
     * @return 数据数量，刷新时间
     */
    public Map getCache(String cacheName);

    /**
     * 新增真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    public int insert(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 修改真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    public int update(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 删除真兰收费系统-中心计费购气信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除真兰收费系统-中心计费购气信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
